<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Web Semántica</title>
  <link rel='stylesheet' href='css/style.css'>
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section class='portada' data-bespoke-state='portada'>
      <h1>Web Semántica</h1>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2>Beneficios</h2>
      <ul class="lista">
        <li>Información mejor organizada</li>
        <li>Facilita el mantenimiento y el diseño</li>
        <li>Mejora la lectura, por ejemplo en:
          <ul class="sub-lista">
            <li>Lectores de pantalla</li>
            <li>Dispositivos de asistencia</li>
          </ul>
        </li>
        <li>Ayuda en el SEO</li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <img class="h-full" src="img/html_semantico.svg">
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">header</span></h2>
      <ul class="lista">
        <li>Inicio del documento o sección</li>
        <li>Normalmente usada como Cabecera de la página y formada por:
          <ul class="sub-lista">
            <li>Nombre de la página/organización</li>
            <li>Logo</li>
            <li>Elementos de navegación</li>
          </ul>
        </li>
        <li>Elemento de bloque</li>
      </ul>
      <div class="float-left w-50">
        <h4>Ejemplo:</h4>
        <pre class="m-05"><code><span class="etiqueta">header</span>
  <span class="etiqueta">h1</span>Nombre Empresa<span class="etiqueta">/h1</span>
  <span class="etiqueta">h2</span>Slogan<span class="etiqueta">/h2</span>
<span class="etiqueta">/header</span></code></pre>
      </div>
      <div class="float-left w-50">
        <h4>Resultado:</h4>
        <div class="font-size05">
          <header class="font-size05">
            <h1>Nombre Empresa</h1>
            <h2>Slogan</h2>
          </header>
        </div>
      </div>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">nav</span></h2>
      <ul class="lista">
        <li>Agrupación de enlaces de navegación</li>
        <li>Pueden ser tanto enlaces internos como externos</li>
        <li>Ejemplos
          <ul class="sub-lista">
            <li>Barra de direcciones del sitio</li>
            <li>Índice de un artículo</li>
            <li>Enlaces del pie de página</li>
          </ul>
        </li>
        <li>Elemento de bloque</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">nav</span>
  <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="#introduccion"</span></span>Introducción<span class="etiqueta">/a</span>
  <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="#historia"</span></span>Historia<span class="etiqueta">/a</span>
  <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="#datos-economicos"</span></span>Datos económicos<span class="etiqueta">/a</span>
<span class="etiqueta">/nav</span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">article</span></h2>
      <ul class="lista w-50 float-right">
        <li>Agrupa contenido independiente</li>
        <li>Tiene sentido por si mismo</li>
        <li>Ejemplos
          <ul>
            <li>Artículos de noticias</li>
            <li>Posts de un blog</li>
            <li>Preguntas frecuentes</li>
          </ul>
        </li>
        <li>Suele iniciarse con un título</li>
        <li>Elemento de bloque</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">article</span>
  <span class="etiqueta">h2</span>Introducción<span class="etiqueta">/h2</span>
  <span class="etiqueta">p</span>Texto del artículo<span class="etiqueta">/p</span>
<span class="etiqueta">/article</span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">section</span></h2>
      <ul class="lista">
        <li>Agrupa contenido que está relacionado</li>
        <li>No tiene sentido por si mismo</li>
        <li>Ejemplos
          <ul>
            <li>Capítulos</li>
            <li>Pestañas</li>
          </ul>
        </li>
        <li>Suele iniciarse con un título</li>
        <li>Elemento de bloque</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">section</span>
  <span class="etiqueta">h2</span>Capítulo 1<span class="etiqueta">/h2</span>
  <span class="etiqueta">p</span>Texto del capítulo<span class="etiqueta">/p</span>
<span class="etiqueta">/section</span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">article</span> vs <span class="etiqueta">section</span></h2>
      <ul class="lista">
        <li>Sobre todo identificar si el contenido tiene sentido por si mismo</li>
        <li>Puede haber <span class="etiqueta">article</span> dentro de <span class="etiqueta">section</span> </li>
        <li>Puede haber <span class="etiqueta">section</span> dentro de <span class="etiqueta">article</span> </li>
        <li>Section es un contenedor genérico, es mejor otro más específico
          <ul>
            <li>main</li>
            <li>header</li>
            <li>footer</li>
            <li>article</li>
            <li>aside</li>
            <li>nav</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">aside</span></h2>
      <ul class="lista">
        <li>Agrupa contenido separado al contenido principal de la página</li>
        <li>Ejemplos
          <ul class="sub-lista">
            <li>Publicidad</li>
            <li>Menús con enlaces de interés</li>
            <li>Información de interés relacionada</li>
          </ul>
        </li>
        <li>Elemento de bloque</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">aside</span>
  <span class="etiqueta">nav</span>
    <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="lista_cursos.html"</span></span>Listado de cursos<span class="etiqueta">/a</span>
    <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="https://w3.org"</span></span>W3<span class="etiqueta">/a</span>
    <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="https://whatwg.org/"</span></span>WHATWG<span class="etiqueta">/a</span>
  <span class="etiqueta">/nav</span>
<span class="etiqueta">/aside</span></code></pre>
    </section>

    <section data-bespoke-state='pre-progress clean'>
      <h2><span class="etiqueta">footer</span></h2>
      <ul class="lista">
        <li>Representa el pie de un bloque (página, artículo, sección)</li>
        <li>Suele contener información de: 
          <ul>
            <li>Autor</li>
            <li>Información de contacto</li>
            <li>Licencia</li>
            <li>Fecha de la página/información</li>
          </ul>
        </li>
        <li>Elemento de bloque</li>
      </ul>
      <h4>Ejemplo:</h4>
      <pre class="m-05"><code><span class="etiqueta">footer</span>
  <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="autor.html"</span></span>Mikel MR<span class="etiqueta">/a</span>
  <span class="etiqueta">a <span class="atributo">href</span><span class="valor">="contacto.html"</span></span>Contacto<span class="etiqueta">/a</span>
<span class="etiqueta">/footer</span></code></pre>
    </section>

    <section class="no-print" data-bespoke-state='pre-progress clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Ir a un sitio de noticias y elegir una noticia</li>
        <li>Identificar las distintas partes semánticas y montar una página con ellas:
          <ul>
            <li>Nombre del periódico</li>
            <li>Lista de enlaces</li>
            <li>Titular</li>
            <li>Subtitular</li>
            <li>Partes del artículo</li>
          </ul>
        </li>
        <li>Poner el origien en el pie</li>
      </ul>
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio7/img/resultado.png?inline=false">Ejemplo</a>
      </p>
    </section>   
  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>